> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Retrieve a single customer by `customer_id`. Not available in test mode.



## OpenAPI

````yaml /reference/link-transaction.json get /otc/business_customer
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /otc/business_customer:
    get:
      tags:
        - B2B
      summary: Get Customer
      description: Retrieve a single customer by `customer_id`. Not available in test mode.
      operationId: get_otc_business_customer
      parameters:
        - in: query
          name: customer_id
          schema:
            type: string
          required: true
          description: The customer ID returned when the customer was created.
      responses:
        '200':
          description: Customer retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: GET_SUCCESSFUL
                  message:
                    type: string
                    example: Customer retrieved.
                  data:
                    type: object
                    properties:
                      customer_id:
                        type: string
                      customer_name:
                        type: string
                      customer_email:
                        type: string
                      customer_phone:
                        type: string
                      customer_address:
                        type: string
                      customer_country:
                        type: string
                      status:
                        type: string
        '403':
          description: Endpoint not available in test mode.
        '404':
          description: Customer not found.
        '500':
          description: Internal server error.
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````